%define name		satsolver
%define sdevelname	%mklibname %name -d -s

Name:		%name
Version:	0.17.0
Release:	%mkrel 3
Summary:	Boolean satisfiability problem solver for dependencies between software packages
License:	BSD
Group:		System/Libraries
URL:		http://en.opensuse.org/openSUSE:Libzypp_satsolver
Source0:	http://gitorious.org/opensuse/sat-solver/%{name}-%{version}.tar.bz2
Patch0:		satsolver-0.17.0-gcc-flags.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	libcheck-devel
BuildRequires:	libexpat-devel
BuildRequires:	librpm-devel
BuildRequires:	zlib-devel

%description
Using a Satisfyability Solver to compute package dependencies.

%package -n %{name}-tools
Group:		System/Libraries
Summary:	Some tools for using the %{name} library

%description -n  %{name}-tools
Tools using the %{name} library:
* rpmdb2solv creates a solv file on stdout from the rpm database
* repo2solv creates a solv file from a local mirror of a repo
* rpms2solv creates a solv file from multiple rpms
* mergesolv merges multiple solv files into one and writes it to stdout
* tools to create solv files from deltainfoxml, diskusagexml, helix, 
  repomdxml, rpmmd, susetags, and updateinfoxml
* the utilities dumpsolv, installcheck, and deptestomatic

%package -n %{name}-demo
Group:		System/Libraries
Summary:	A little software installer demoing the sat solver library

%description -n %{name}-demo
Solv, a little software installer demoing the sat solver library.


%package -n %{sdevelname}
Group:		Development/C
Summary:	Development files for the package dependencies SAT solver library
Provides:	libsatsolver-devel = %{version}-%{release}

%description -n %{sdevelname}
Header files and development libraries for %{name}.


%prep
%setup -q
%patch0 -p0

%build
%cmake -DFEDORA:BOOL=TRUE
%make

%install
%makeinstall_std -C build

%files -n %{name}-tools
%{_bindir}/deltainfoxml2solv
%{_bindir}/deptestomatic
%{_bindir}/dumpsolv
%{_bindir}/helix2solv
%{_bindir}/installcheck
%{_bindir}/mergesolv
%{_bindir}/repo2solv.sh
%{_bindir}/repomdxml2solv
%{_bindir}/rpmdb2solv
%{_bindir}/rpmmd2solv
%{_bindir}/rpms2solv
%{_bindir}/susetags2solv
%{_bindir}/updateinfoxml2solv

%files -n %{name}-demo
%{_bindir}/solv

%files -n %{sdevelname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.a
%{_libdir}/libsatsolverext.a


%changelog

* Sun Jan 15 2012 fwang <fwang> 0.17.0-3.mga2
+ Revision: 196444
- drop uselss flags
- rebuild ofr new rpm

  + dmorgan <dmorgan>
    - Rebuild against rpm 4.9.1.2

* Fri Jun 17 2011 cjw <cjw> 0.17.0-1.mga2
+ Revision: 108547
- add BuildRequires: libexpat-devel
- add buildrequires: cmake
- imported package satsolver

